<!--
 * @Author: zwq
 * @Date: 2023-01-04 10:29:40
 * @LastEditors: zwq
 * @LastEditTime: 2023-01-05 15:49:17
 * @Description: 
-->
<template>
  <el-card shadow="never" class="aui-card--fill">
    <div class="mod-sys__user">
      <search-bar :formConfigs="formConfig" ref="searchBarForm" @headBtnClick="buttonClick" />
      <base-table
        :table-props="tableProps"
        :page="listQuery.page"
        :limit="listQuery.limit"
        :table-data="tableData"
      />
      <pagination
        :limit.sync="listQuery.limit"
        :page.sync="listQuery.page"
        :total="listQuery.total"
        @pagination="getDataList"
      />
    </div>
  </el-card>
</template>

<script>
import basicPage from "@/mixins/basic-page";
import i18n from "@/i18n";
import sysFilter from '@/filters/sys-filter'
const tableProps = [
  {
    prop: "creatorName",
    label: i18n.t("logLogin.creatorName"),
  },
  {
    prop: "operation",
    label: i18n.t("logLogin.operation"),
    filter: sysFilter('logOperation'),
  },
  {
    prop: "status",
    label: i18n.t("logLogin.status"),
    filter: sysFilter('logStatus'),
  },
  {
    prop: "ip",
    label: i18n.t("logLogin.ip"),
  },
  {
    prop: "userAgent",
    label: i18n.t("logLogin.userAgent"),
  },
  {
    prop: "createDate",
    label: i18n.t("logLogin.createDate"),
  },
];
export default {
  mixins: [basicPage],
  data() {
    return {
      urlOptions: {
        getDataListURL: "/sys/log/login/page",
        deleteURL: "/sys/log/login",
        exportUrl: "/sys/log/login/export",
      },
      tableProps,
      formConfig: [
        {
          type: "input",
          label: i18n.t("logLogin.creatorName"),
          placeholder: i18n.t("logLogin.creatorName"),
          param: "creatorName",
        },
        {
          type: "select",
          label: "状态",
          selectOptions: [
            { id: "0", name: i18n.t("logLogin.status0") },
            { id: "1", name: i18n.t("logLogin.status1") },
            { id: "2", name: i18n.t("logLogin.status2") },
          ],
          param: "status",
          defaultSelect: "",
          onchange: true,
          width: 200,
        },
        {
          type: "button",
          btnName: "查询",
          name: "search",
          color: "primary",
        },
      ],
    };
  },
  components: {},
  methods:{
    //search-bar点击
    buttonClick(val) {
      switch (val.btnName) {
        case "search":
          this.listQuery.creatorName = val.creatorName;
          this.listQuery.status = val.status;
          this.listQuery.page = 1;
          this.getDataList();
          break;
        case "add":
          this.addOrEditTitle = '新增'
          this.addOrUpdateVisible = true;
          this.addOrUpdateHandle()
          break;
        default:
          console.log(val)
       }
    },
  }
};
</script>
